tvbrowser.ui.tray

## Class SystemTray

- java.lang.Object
- - tvbrowser.ui.tray.SystemTray

-     public class SystemTray
      extends java.lang.Object

  This Class creates a SystemTray

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemTray()` Creates the SystemTray

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createMenus()` Creates the Menus
    `protected static javax.swing.JDialog` | `getProgamPopupParent()`
    `boolean` | `initSystemTray()` Initializes the System
    `boolean` | `isTrayUsed()` Is the Tray activated and used?
    `void` | `setVisible(boolean value)` Sets the visibility of the tray.
    `boolean` | `showBalloonTip(java.lang.String caption, java.lang.String message, java.awt.TrayIcon.MessageType messageType)` Shows a balloon tip on the TV-Browser tray icon.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemTray

          public SystemTray()

      Creates the SystemTray

  - ### Method Detail

    - #### initSystemTray

          public boolean initSystemTray()

      Initializes the System
      Returns:
        true if successful

    - #### createMenus

          public void createMenus()

      Creates the Menus

    - #### setVisible

          public void setVisible(boolean value)

      Sets the visibility of the tray.
      Parameters:
        `value` - True if visible.

    - #### showBalloonTip

          public boolean showBalloonTip(java.lang.String caption,
                               java.lang.String message,
                               java.awt.TrayIcon.MessageType messageType)

      Shows a balloon tip on the TV-Browser tray icon.

      Parameters:
        `caption` - The caption of the displayed message.
        `message` - The message to display in the balloon tip.
        `messageType` - The type of the displayed ballon tip.
      Returns:
        If the balloon tip could be shown.

    - #### isTrayUsed

          public boolean isTrayUsed()

      Is the Tray activated and used?
      Returns:
        is Tray used?

    - #### getProgamPopupParent

          protected static javax.swing.JDialog getProgamPopupParent()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)